Molssi Driver Interface Library: plugin_shared_state_struct Struct Reference

|  | Molssi Driver Interface Library

Public Attributes | List of all members
plugin_shared_state_struct Struct Reference

## Public Attributes
char | command [MDI_COMMAND_LENGTH_]
| Name of the next command to be executed on this code. This is only used by engines.
void ** | ext
| For future-proofing, this is a pointer to any extensions to this structure.
int | driver_version [3]
| Version number of the driver.
int | engine_version [3]
| Version number of the engine.
void * | buf
| Buffer used for communication of data.
char ** | plugin_argv
| Argument vector for plugin command-line options.
char * | plugin_options
| Command-line options for currently running plugin.
char * | plugin_unedited_options
| Unedited command-line options for currently running plugin.
void * | mpi_comm_ptr
| Pointer to the intra-communicator for the plugin.
void * | driver_callback_obj
| Pointer to the class object that is used for the driver_node_callback function.
void * | execute_command_obj
| Pointer to the class object that is passed to any call to execute_command.
void * | python_interpreter_dict
| Pointer to the original Python interpreter's dictionary. Only used for Python plugins.
void * | driver_codes_ptr
| Pointer to the driver's codes vector.
void * | engine_codes_ptr
| Pointer to the engine's codes vector.
void * | engine_nodes
| Pointer to the engine's nodes vector.
int(* | driver_activate_code )(void *, int)
| Function pointer to the driver's library_activate_code function.
int(* | engine_activate_code )(void *, int)
| Function pointer to the engine's library_activate_code function.
int(* | lib_execute_command )(MDI_Comm)
| Function pointer to the library execute command function.
int(* | execute_command_wrapper )(const char *, MDI_Comm_Type, void *)
| Function pointer to a wrapper for the language-specific execute command function.
int(* | execute_builtin )(const char *, MDI_Comm_Type, int *)
| Function pointer to the engine's function for responding to built-in commands.
int(* | delete_engine )(size_t)
| Function pointer to the engine's function to delete everything.
size_t | engine_code_id
| Engine-side ID of the engine code.
size_t | driver_code_id
| Driver-side ID of the driver code.
MDI_execute_command_type | execute_command
| Pointer to engine's execute_command function.
MDI_Driver_node_callback_t | driver_node_callback
| Function pointer to the driver node's callback function.
MDI_Comm | driver_mdi_comm
| Driver-side MDI communicator.
MDI_Comm | engine_mdi_comm
| Engine-side MDI communicator.
int | buf_allocated
| Flag whether buf is allocated.
int | plugin_argc
| Argument count for plugin command-line options.
int | plugin_argv_allocated
| Flag whether plugin_argv is allocted for this code.
int | intra_rank
| MPI rank of this process within the plugin
int | engine_language
| Flag whether the engine is a Python code.
int | python_interpreter_initialized
| Flag whether the Python interpreter has been initialized.

The documentation for this struct was generated from the following file:

- /repo/build/MDI_Library/MDI_Library/mdi_lib.h